import State from "./State";
import Comment from "./Comment";
import Action from "./Action";
import ExplorationEvaluation from "./ExplorationEvaluation";
import Question from "../../background/domain/Question";

export default interface BackgroundService {
    getExplorationEvaluation(): Promise<ExplorationEvaluation | null>;
    getState(): Promise<State>;
    getActionList(): Promise<Action[]>;
    getCommentList(): Promise<Comment[]>;
    setUserViewPosition(newPosition: {x: number, y:number}): void;
    upComment(comment: Comment): Promise<void>;
    sendAction(action: Action): Promise<void>;
    sendAnswer(question: Question, value: boolean): void;
}